on run argv
 	set updatedFile to item 1 of argv  -- pass in updated.at

	tell application "System Events"
		set was_running to (name of processes) contains "iCal"  -- is iCal running?
		if was_running then
			tell application process "iCal" to set using to frontmost  -- is iCal the frontmost app?
			if using
				return  -- bail if iCal is being used, not to annoy
			end if
		end if
	end tell


	tell application "iCal"
		launch
		set calendar_name to "iCalTV"
		set the calendar_names to the title of every calendar
	
		if the calendar_name is not in the calendar_names then
			make new calendar at end of calendars with properties {title:calendar_name, description:"Pminnelser om TV-program."}
		end if

		set this_calendar to (the first calendar whose title is the calendar_name)
		tell this_calendar

			delete every event  -- to avoid duplicates
		
			(*EVENTS*)

		end tell
	
		if not was_running
			quit
		end if
	end tell

	-- We didn't bail, so update updated time
	do shell script "touch " & updatedFile

end run